Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class FormDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
          org.apache.cocoon.forms.formmodel.AbstractContainerDefinitionBuilder
              org.apache.cocoon.forms.formmodel.FormDefinitionBuilder

All Implemented Interfaces:
  WidgetDefinitionBuilder

public final class FormDefinitionBuilder
extends AbstractContainerDefinitionBuilder

Builds `FormDefinition`s.

Version:
  $Id: FormDefinitionBuilder.java 615336 2008-01-25 20:48:44Z vgritsenko $

Field Summary
`protected LibraryManager` | `libraryManager`

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`datatypeManager, expressionManager, widgetDefinitionBuilders, widgetListenerBuilders, widgetValidatorBuilders`

Constructor Summary
`FormDefinitionBuilder()`

Method Summary
`WidgetDefinition` | `buildWidgetDefinition(Element formElement)`
`WidgetDefinition` | `buildWidgetDefinition(Element widgetElement, WidgetDefinitionBuilderContext context)`
`void` | `setLibraryManager(LibraryManager libraryManager)`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerDefinitionBuilder
`setupContainer`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`buildAnotherWidgetDefinition, buildEventListeners, setCommonProperties, setCreateListeners, setDatatypeManager, setDisplayData, setExpressionManager, setupDefinition, setValidators, setWidgetDefinitionBuilders, setWidgetListenerBuilders, setWidgetValidatorBuilders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### libraryManager

    protected LibraryManager libraryManager

Constructor Detail

### FormDefinitionBuilder

    public FormDefinitionBuilder()

Method Detail

### setLibraryManager

    public void setLibraryManager(LibraryManager libraryManager)

### buildWidgetDefinition

    public WidgetDefinition buildWidgetDefinition(Element widgetElement,
                                                  WidgetDefinitionBuilderContext context)
                                           throws Exception

  Throws:
    `Exception`

### buildWidgetDefinition

    public WidgetDefinition buildWidgetDefinition(Element formElement)
                                           throws Exception

  Specified by:
    `buildWidgetDefinition` in interface `WidgetDefinitionBuilder`
  Overrides:
    `buildWidgetDefinition` in class `AbstractWidgetDefinitionBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.